%define version 4.3.10
%define rversion 1.3.2

%define realname XDEBUG
%define modname xdebug
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A29_%{modname}.ini

Summary:	Provides functions for function traces and profiling for PHP4
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 3
Group:		System/Servers
License:	BSD-like
URL:		http://xdebug.org/
Source0:	http://www.xdebug.org/files/%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Source2:	xdebug-docs.tar.bz2
Requires:	php432
BuildRequires:	php432-devel
#BuildRequires:	edit-devel
#BuildRequires:	termcap-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The Xdebug extension helps you debugging your script by providing
a lot of valuable debug information.  The debug information that
Xdebug can provide includes the following: 

* stack and function traces in error messages with: 
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides: 

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{rversion} -a2

%build

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# make the debugclient
pushd debugclient
    %configure2_5x
#	--with-libedit
    %make
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m755 debugclient/debugclient %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CREDITS Changelog LICENSE NEWS README* xdebug-docs/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_bindir}/debugclient
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-3mdk
- use the %%mkrel macro

* Tue Mar 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-2mdk
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.3.2-1mdk
- rebuild for php 4.3.10

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.3.2-1mdk
- initial mandrake package
